Subject: Re: Impact of change n port size

From: Ricardo Scop <[email-masked]>
Date: Tue, 19 Apr 2005 00:14:09 -0300

Hi Atit,

On Monday 18 April 2005 01:31, Atit_Shah wrote:
> Hi All,
>
> 	I have a kernel image which works perfectly for my reference
> board. When I try to port the same image on my board I seem to be facing
> problems. 
Like what?

> The only difference I see between the reference board and my
> board is the port size and capacity of RAM.
And hw design, board layout, ...

> 	I have taken care of sending the right value for the RAM size
> through BD_INFO. Would there be and where all would the change be, if
> any, in the kernel code OR when I make the kernel image ie through "make
> menuconfig" / "menu xconfig" required to be made for port size of RAM?
Well, if you're using PPCBoot or U-Boot to boot Linux, what you've done would 
be enough.

OTOH, as you have a new hardware design you should check the SDRAM controller 
initialization in the bootloader code. It may be sligthly wrong, so the 
bootloader runs but the OS doesn't, because Linux really stresses out RAM 
operation in burst mode. (BTW, this is a FAQ, if appliable).

> 	Out of curiosity what would be the change required for different
> FLASH port size again on the kernel side.
Look for the MTD parameters in the kernel compilation options.

HTH,

-- 
Ricardo Scop.

        \|/
    ___ -*-
   (@ @)/|\
  /  V  \|  R SCOP Consult.
 /(     )\  Linux-based communications
--^^---^^+------------------------------
[email-masked]
+55 51 999-36-777
Porto Alegre, RS - BRazil